@import "~normalize.css";
@import url('https://fonts.googleapis.com/css?family=Rubik:300,400,500,700,900&display=swap');

$fa-font-path:        "/install_files/webfonts";
@import "~@fortawesome/fontawesome-free/scss/fontawesome";
@import "~@fortawesome/fontawesome-free/scss/regular";
@import "~@fortawesome/fontawesome-free/scss/solid";
@import "~@fortawesome/fontawesome-free/scss/brands";

@import "~tailwindcss/base";
@import "~tailwindcss/components";
@import "~tailwindcss/utilities";

@import "~animate.css";

@font-face {
    font-family: 'SFUI Display';
    src: url('/install_files/fonts/SFUIDisplay-Medium.woff2') format('woff2'),
    url('/install_files/fonts/SFUIDisplay-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
}
@font-face {
    font-family: "SFUI Display - Heavy";
    src: url('/install_files/fonts/SFUIDisplay-Heavy.woff2') format('woff2'),
    url('/install_files/fonts/SFUIDisplay-Heavy.woff') format('woff');
    font-weight: 900;
    font-style: normal;
}

html{
    height: 100%;
}
body{
    min-height: 100%;
    background: #212121 url(/install_files/images/bg.png) 0 0 repeat-y;;
}
.bg-blue-gradient{
    background-image: linear-gradient(45deg, rgba(255, 255, 255, 0) 30%, rgba(255, 255, 255, 0.8), rgba(255, 255, 255, 0) 70%),
        linear-gradient(90deg, #2450d0 0%, #3069e9 100%),
        linear-gradient(to right, rgba(125, 125, 125, 0), rgba(255, 255, 255, 0) 45%, rgba(125, 125, 125, 0)),
        linear-gradient(to right, rgba(125, 125, 125, 0), rgba(255, 255, 255, 0) 45%, rgba(125, 125, 125, 0)),
        linear-gradient(to right, rgba(223, 190, 170, 0), rgba(255, 255, 255, 0) 45%, rgba(223, 190, 170, 0)),
        linear-gradient(to right, rgba(223, 190, 170, 0), rgba(255, 255, 255, 0) 45%, rgba(223, 190, 170, 0));
    background-repeat: no-repeat;
    background-size: 200% 100%, auto, 100% 2px, 100% 2px, 100% 1px, 100% 1px;
    background-position: 200% 0, 0 0, 0 0, 0 100%, 0 4px, 0 calc(100% - 4px);
    box-shadow: rgba(0, 0, 0, 0.5) 3px 10px 10px -10px;
}
.bg-purple-gradient{
    background-image: linear-gradient(to right bottom, #d52887 0%, #4d1484 100%);
}
select{
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20' fill='fff'%3e%3cpath d='M7 7l3-3 3 3m0 6l-3 3-3-3' stroke='%23ffffff' stroke-width='1.5' stroke-linecap='round' stroke-linejoin='round'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-color: #ffffff;
    background-position: right 0.5rem center;
    background-size: 1.5em 1.5em;
}
.step{
    line-height: 3rem;

    &-active{
        @extend .bg-blue-gradient;
        border-color: #2450d0;
    }
    &--enabled:hover{
        @extend .bg-blue-gradient;
        border-color: #2450d0;
    }
}
.text-blue{
    color: #2450d0;
}
.text-gray{
    color: #4f4f4f;
}
.config-menu{
    height: max-content;
}